WordPress 1 | Ben jij klaar voor versie 5.0 met Gutenberg?

Dit is een foto

Pas je volgende week wel op met updaten? Druk niet automatisch op de update als WordPress voorstelt om naar de nieuwste versie te updaten. Later meer over waarom je even moet wachten,  maar eindelijk is het zover. Een serieuze update van WordPress. De belangrijkste verandering is de Gutenberg-editor. Veel mensen gebruiken de standaard editor om artikelen te schrijven en pagina’s te maken. Maak je gebruik van een page builder als Beaver Builder, Divi Builder, UX-builder, WPBakery Page Builder of welke andere dan ook dan is het extra opletten volgende week.

Waarom deze update?

WordPress heeft nog steeds het grootste aandeel op het internet als CMS. Het bedrijf achter WordPress Automattic concurreert met bedrijven die ook CMSen aanbieden zoals Wix en Squarespace. Deze bedrijven hebben de laatste jaren een veel grotere groei doorgemaakt. De manieren waarop je binnen deze systemen een webshop of website maakt zijn meer van deze tijd en daarom moest WordPress evolueren. Daarnaast worden Drupal en Joomla ook nog steeds veel gebruikt. Wij zijn zelf al een beetje verliefd op Craft. Dit is dan wel een betaald CMS.

Automattic en het open source WordPress zijn gescheiden van elkaar maar Automattic verdient wel geld met diensten die om WordPress zijn gebouwd. Tijd om met deze update het marktaandeel te behouden en nieuwe gebruikers aan te boren omdat die nu vaak voor die andere bedrijven kiezen. Een aantal verbeteringen die de update levert:

  • Meer focus naar een intuïtieve manier van het bouwen van webshops en websites
  • Verbeteringen in de WordPress Rest API
  • Eenvoudiger aangepaste thema’s maken
  • Page Builders minder belangrijk laten worden

Haast je niet met een update naar WordPress 5.0

De lanceerdatum van WordPress 5.0 is meermaals opgeschoven maar als het goed is staat deze nu gepland voor 6 december. Onze belangrijkste tip is om te wachten met updaten! Ook al hebben theme en plug-in ontwikkelaars uitgebreid getest met Gutenberg en de nieuwe back-end, toch zullen er altijd bugs over het hoofd zijn gezien die volgende week massaal aan het licht komen. Wij hebben als early adapters al uitgebreid gespeeld met deze versie maar dat betekent niet dat jij volgende week een public early adaptor moet zijn.

Er komen veel toegankelijkheidsproblemen voor. Problemen met standaard workflows waar mensen al jaren mee werken. Er komt zelfs content verlies voor. WordPress-ontwikkelaars doen er alles aan om compatibiliteit met eerdere versies te behouden. De wijzigingen in deze versie zijn te breed om er zeker van dat dit ook echt zo is.

Grote theme en plug-in ontwikkelaars als Yoast en Woocommerce hebben de mogelijkheden om nieuwe versies van hun thema’s of plug-ins op tijd af te hebben. Momenteel wordt het grote gros plug-ins nog gemaakt door kleine ontwikkelaars. Die hebben vaak niet de tijd en de ressources om op tijd klaar te zijn voor deze update. Veel WordPress webshops of websites hebben meerdere van dit soort thema’s of plug-ins geïnstalleerd. Wachten met updaten is dus echt het advies totdat bij alle geïnstalleerde thema’s en plug-ins compatibility met versie 5.0 staat.

Wacht in ieder geval met updaten tot januari. Er zijn al meerdere patch releases gepland. Hierdoor wordt WordPress 5.0 waarschijnlijk in januari al een stuk stabieler.

Dit is een foto
Neem contact op met vragen over deze update

Hoe update je veilig?

Test je webshop of website eerst in een testomgeving. Update nooit een live versie van je webshop of website. Als er iets misgaat kan dit hele negatieve effecten hebben die moeilijk te herstellen kunnen zijn. Werkt je website na de update naar behoren dan kan je de live versie updaten.

Begin altijd met het maken van een back-up. Wij gebruiken daarvoor UpdraftPlus WordPress Backup Plugin. We adviseren je ook om de webshop of website van de server te downloaden zodat je zelf ook een hard copy hebt. Vergeet niet ook een back-up van de database lokaal op te slaan. Zo kan je altijd handmatig alles herstellen.

Installeer daarna de Classic Editor plug-in zodat je altijd terug kan naar de klassieke editor van WordPress.

Controleer of je thema en plug-ins compatible zijn met WordPress 5.0. Ben je daar niet zeker van dan adviseren we je om contact met de ontwikkelaars van jouw plug-ins en thema’s op te nemen. Zij weten of ze Gutenberg al ondersteunen of wanneer ze dat zullen gaan doen.

Zo ja, dan zou je kunnen updaten naar de nieuwste versie maar verwacht toch nog wat bugs en glitches.

Conclusie: wacht met updaten tot januari en tot je geïnstalleerde thema en plug-ins allemaal compatible zijn met WordPress 5.0.

Neem contact met ons op als je wil dat wij WordPress voor je updaten. We helpen je graag en staan altijd open voor een gesprek. We beantwoorden je vragen en kijken hoe we deze update zonder downtime kunnen realiseren.

Jouw online concept begint bij Snoober Media

Een serie over WordPress

We vinden het belangrijk om te informeren en tips te geven over WordPress. Binnenkort lees je weer een nieuw artikel in deze serie.

Nieuwsgierig geworden? Laat je gegevens achter

Ook interessant

Volg ons op Instagram, Facebook en Twitter

Geef een reactie

Het e-mailadres wordt niet gepubliceerd. Vereiste velden zijn gemarkeerd met *